{
  description = "Thatoo's flake";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.05";
#    nixpkgs_unstable.url = "github:NixOS/nixpkgs/nixos-unstable";
#    nixos-cosmic.url = "github:lilyinstarlight/nixos-cosmic";
 #   nixos-cosmic.url = "github:PhoenixPhantom/nixos-cosmic";
 #   nixpkgs.follows = "nixos-cosmic/nixpkgs-stable"; # NOTE: change "nixpkgs" to "nixpkgs-stable" to use stable NixOS release
#    nixpkgs_unstable.follows = "nixos-cosmic/nixpkgs"; # NOTE: change "nixpkgs" to "nixpkgs-stable" to use stable NixOS release
    lix-module = {
      url = "https://git.lix.systems/lix-project/nixos-module/archive/2.92.0-3.tar.gz";
      inputs.nixpkgs.follows = "nixpkgs";
#      inputs.nixpkgs.follows = "nixos-cosmic";
 #      inputs.nixpkgs.follows = "nixos-cosmic/nixpkgs-stable";
    };
#    affinity-nix.url = "github:mrshmllow/affinity-nix";
  };

#  outputs = inputs@{ self, nixpkgs, nixpkgs_unstable, nixos-cosmic, ... }: {
#  outputs = inputs@{ self, nixpkgs, nixos-cosmic, affinity-nix, ... }: {
 # outputs = inputs@{ self, nixpkgs, nixos-cosmic, lix-module, ... }: {
  outputs = inputs@{ self, nixpkgs, lix-module, ... }: {
#  outputs = inputs@{ self, nixpkgs, nixos-cosmic, ... }: {
    nixosConfigurations.ThinkPadT470 = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = { inherit inputs; };
      modules = [
        {
 #         nix.settings = {
 #           substituters = [ "https://cosmic.cachix.org/" ];
 #           trusted-public-keys = [ "cosmic.cachix.org-1:Dya9IyXD4xdBehWjrkPv6rtxpmMdRel02smYzA85dPE=" ];
 #         };
        }
 #       nixos-cosmic.nixosModules.default
        lix-module.nixosModules.default
        ./hardware-configuration.nix
        ./configuration.nix
        ./system_packages.nix
        ./desktop_environnement.nix
        ./serveur_web.nix
      ];
    };
  };
}
